2018-02-19 13:56 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004993CentOS-6abrtpublic2011-12-06 15:42
ReporterNetsnipe 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version6.0 
Target VersionFixed in Version6.1 
Summary0004993: /etc/abrt/gpg_keys still references RHEL keys
DescriptionGPG keys referenced in /etc/abrt/gpg_keys are still RHEL specific:

The entries for:
/etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta-2
/etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-auxiliary
/etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta-2
/etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-legacy-beta
/etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-legacy-former
/etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-legacy-release
/etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-legacy-rhx

should be replaced with:

/etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6
/etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-Debug-6
/etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-Security-6
/etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-Testing-6

as the non-existent keys raise the following errors in the system logs:

Jul 22 13:58:53 powerdns2 abrtd: Registered Reporter plugin 'Logger'
Jul 22 13:58:53 powerdns2 abrtd: Registered Action plugin 'SOSreport'
Jul 22 13:58:53 powerdns2 abrtd: Registered Action plugin 'KerneloopsScanner'
Jul 22 13:58:53 powerdns2 abrtd: Registered Analyzer plugin 'Kerneloops'
Jul 22 13:58:53 powerdns2 abrtd: Registered Analyzer plugin 'Python'
Jul 22 13:58:53 powerdns2 abrtd: Registered Reporter plugin 'RHTSupport'
Jul 22 13:58:53 powerdns2 abrtd: Registered Analyzer plugin 'CCpp'
Jul 22 13:58:53 powerdns2 abrtd: Can't load public GPG key /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-auxiliary
Jul 22 13:58:53 powerdns2 abrtd: Can't load public GPG key /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta-2
Jul 22 13:58:53 powerdns2 abrtd: Can't load public GPG key /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-legacy-beta
Jul 22 13:58:53 powerdns2 abrtd: Can't load public GPG key /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-legacy-former
Jul 22 13:58:53 powerdns2 abrtd: Can't load public GPG key /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-legacy-release
Jul 22 13:58:53 powerdns2 abrtd: Can't load public GPG key /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-legacy-rhx
Jul 22 13:58:53 powerdns2 abrtd: Checking for unsaved crashes (dirs to check:2)
Jul 22 13:58:53 powerdns2 abrtd: Registered Database plugin 'SQLite3'
Jul 22 13:58:53 powerdns2 abrtd: Done checking for unsaved crashes
Jul 22 13:58:53 powerdns2 abrtd: Init complete, entering main loop
Additional InformationConfirmed with abrt-1.1.13-4.el6.x86_64
TagsQA-6.1
Attached Files
  • patch file icon abrt.spec.patch (1,081 bytes) 2011-12-02 03:44 -
    --- abrt.spec.orig	2011-12-02 02:20:52.331096793 +0100
    +++ abrt.spec	2011-12-02 03:32:08.570087943 +0100
    @@ -25,7 +25,8 @@
     Source1: abrt.init
     Patch0: abrt-1.1.8-rhel_conf.patch
     Patch1: abrt-1.1.8-disable_koopsorg.patch
    -Patch2: abrt-1.1.7-rhel_keys.patch
    +#Patch2: abrt-1.1.7-rhel_keys.patch
    +Patch2: abrt-1.1.16-centos_keys.patch
     Patch3: abrt-1.1.7-hideprefs.patch
     Patch4: blacklist.patch
     Patch5: disable_di_install.patch
    @@ -240,7 +241,8 @@
     #rhel specific patches, DO NOT REMOVE!
     %patch0 -p1 -b .rhel_defaults
     %patch1 -p1 -b .rhel_disable_kooporg
    -%patch2 -p1 -b .rhel_gpg_keys
    +#%patch2 -p1 -b .rhel_gpg_keys
    +%patch2 -p0 -b .centos_gpg_keys
     %patch5 -p1 -b .disable_di_install
     %patch7 -p1 -b .enable_mailx
     #Fedora/rhel patch
    @@ -463,6 +465,9 @@
     %defattr(-,root,root,-)
     
     %changelog
    +* Fri Dec 02 2011 Athmane Madjoudj <athmane@fedoraproject.org> 1.1.16-3
    +- Use CentOS gpg keys.
    +
     * Thu Apr 07 2011 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.16-3
     - improved support for GSS customer portal
       - fixed the hash generating: use component name instead of package NVR
    
    patch file icon abrt.spec.patch (1,081 bytes) 2011-12-02 03:44 +
  • patch file icon abrt-1.1.16-centos_keys.patch (355 bytes) 2011-12-02 03:44 -
    --- src/Daemon/gpg_keys.orig	2011-01-07 16:13:41.000000000 +0100
    +++ src/Daemon/gpg_keys	2011-12-02 03:30:06.420124102 +0100
    @@ -1 +1,4 @@
    -/etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
    +/etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6
    +/etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-Debug-6
    +/etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-Security-6
    +/etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-Testing-6
    
    patch file icon abrt-1.1.16-centos_keys.patch (355 bytes) 2011-12-02 03:44 +

-Relationships
has duplicate 0005195closedIssue Tracker abrtd: Can't load public GPG key 
+Relationships

-Notes

~0013789

kbsingh@karan.org (administrator)

Check in post-install status for 6.1

~0013857

athmane (developer)

I've attached two patchs that should fix this issue.

~0013872

JohnnyHughes (administrator)

fixed in 6.1
+Notes

-Issue History
Date Modified Username Field Change
2011-07-22 04:22 Netsnipe New Issue
2011-11-20 03:06 kbsingh@karan.org Tag Attached: QA-6.1
2011-11-20 03:07 kbsingh@karan.org Note Added: 0013789
2011-11-25 13:35 athmane Relationship added child of 0005195
2011-11-25 13:36 athmane Relationship deleted child of 0005195
2011-11-25 13:36 athmane Relationship added has duplicate 0005195
2011-12-02 03:44 athmane File Added: abrt.spec.patch
2011-12-02 03:44 athmane File Added: abrt-1.1.16-centos_keys.patch
2011-12-02 03:45 athmane Note Added: 0013857
2011-12-06 15:42 JohnnyHughes Note Added: 0013872
2011-12-06 15:42 JohnnyHughes Status new => resolved
2011-12-06 15:42 JohnnyHughes Fixed in Version => 6.1
2011-12-06 15:42 JohnnyHughes Resolution open => fixed
+Issue History